/**
 * Svelte action to initialize semantic popup component.
 * @module components/use-popup
 */
export interface PopupSettings {
    [key: string]: unknown;
}
export declare const popupDefaults: PopupSettings;
/** Svelte action to initialize Semantic UI `Popup` component.
 *
 * https://semantic-ui.com/modules/popup.html
 *
 * Supply popup parameters using a settings object or throught data-* attributes.
 *
 * Example:
```
    <input type="text" bind:value={nm2}
        use:popup={{
            content: "Please enter given name",
            position: "bottom right"
        }}
    >
```
*/
export declare function popup(node: Element, settings?: PopupSettings): void;
